import { type Ref } from "vue";
/**
 * Return a lazy highlighted code ref (only usable in Vue)
 *
 * @example
 *
 * ```vue
 * <script setup>
 * const code = ref('const foo = "bar";');
 * const highlighted = useHighlighted(code);
 * </script>
 * ```
 */
export declare function useHighlighted(code: Ref<string>, options: any): Ref<string>;
