import { ref, effect, watch } from "vue";
import { loadShiki } from "./loadShiki.mjs";
export function useHighlighted(code, options) {
  const highlighted = ref(code.value);
  const unwatch = watch(code, () => {
    highlighted.value = code.value;
  });
  const init = () => {
    loadShiki().then((shiki) => {
      unwatch();
      effect(() => {
        highlighted.value = shiki.codeToHtml(code.value, {
          ...shiki.$defaults,
          ...options
        });
      });
    });
  };
  init();
  return highlighted;
}
